Get YouTube channel metadata
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/channel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/channel"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"description": "<string>",
"url": "<string>",
"subscriberCount": 123,
"videoCount": 123,
"viewCount": 123,
"thumbnail": "<string>",
"banner": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
Get YouTube channel metadata
GET
/
v1
/
youtube
/
channel
Get YouTube channel metadata
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/channel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/channel"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"description": "<string>",
"url": "<string>",
"subscriberCount": 123,
"videoCount": 123,
"viewCount": 123,
"thumbnail": "<string>",
"banner": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Channel ID, handle, or URL